Module
Contents
Index 🔎︎

# ThisComponent Statement

Anropar den aktiva komponenten så att dess egenskaper kan läsas och anges. ThisComponent används från dokument Basic, där det representerar det dokument som Basic tillhör. Vilken typ av objekt som anropas av ThisComponent beror på dokumenttypen.

## Syntax:

    ThisComponent

## Exempel:

    Sub Main

    ' Uppdaterar innehållsförteckningen i ett textdokument

    Dim allindexes, index As Object

        allindexes = ThisComponent.getDocumentIndexes()

        index = allindexes.getByName("Innehållsförteckning1")

        ' Använd standardnamnet för innehållsförteckningar och siffran 1

        index.update()

    End Sub